Bug 1479999 - vfio devices will have wrong ownership when running ovs as non-root user
vfio devices will have wrong ownership when running ovs as non-root user
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Aaron Conole
qding
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 17:55 EDT by Aaron Conole
Modified: 2017-11-22 00:52 EST (History)
5 users (show)

See Also:
Fixed In Version: openvswitch-2.8.0-1.el7fdb
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Conole 2017-08-09 17:55:18 EDT
Description of problem:

Basically we need:

https://mail.openvswitch.org/pipermail/ovs-dev/2017-August/337195.html
Comment 2 Aaron Conole 2017-08-15 13:43:30 EDT
https://mail.openvswitch.org/pipermail/ovs-dev/2017-August/337195.html

Part of branch-2.8
Comment 7 qding 2017-11-22 00:52:24 EST
Reproduced:
[root@dell-per730-25 ~]# rpm -q openvswitch
openvswitch-2.7.3-2.git20171010.el7fdp.x86_64
[root@dell-per730-25 ~]# 
[root@dell-per730-25 ~]# dpdk-devbind -b vfio-pci 0000:05:00.0
[root@dell-per730-25 ~]# ll /dev/vfio/*
crw-------. 1 root root 240,   0 Nov 22 00:38 /dev/vfio/18
crw-rw-rw-. 1 root root  10, 196 Nov 22 00:35 /dev/vfio/vfio


Verified:
[root@dell-per730-25 ~]# rpm -q openvswitch
openvswitch-2.8.0-4.el7fdb.x86_64
[root@dell-per730-25 ~]# ll /dev/vfio/*
crw-rw----. 1 root hugetlbfs 240,   0 Nov 22 00:35 /dev/vfio/18
crw-rw-rw-. 1 root root       10, 196 Nov 22 00:35 /dev/vfio/vfio

Note You need to log in before you can comment on or make changes to this bug.